For Developers
Create Extraction
POST https://ed.link/api/v2/teams/:team_id/sources/:source_id/extractions
Spawns a new extraction job to scrape upstream provider data.
Permissions
Requires the extractions.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:source_id | UUID | Yes | The ID of the source. |
Sample Request
const response = await axios.post(
`https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/extractions`,
{},
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "4a18dc60-5ff0-482a-9e1e-28ebc9735d10",
"state": "running"
}
}
